Get a question Run in API Explorer
Ask AI
GET
/api/v1/form/{form_uuid}/question/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/question/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "1c7842bc-8f56-43e5-aab9-daf3caa29f33",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"section": {
"uuid": "150ca7b0-7a92-4aeb-aa9e-da48bd9606aa",
"created_at": "2026-07-17T15:25:29+01:00",
"updated_at": "2026-07-17T15:25:29+01:00",
"form": {
"uuid": "f649a15f-2846-4725-babf-9b7b3d8daee8",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"title": "Personal Details",
"position": 1,
"questions": {
"uuid": "a78b8295-ee33-4fb4-8ef3-a7d63e02e5ae",
"created_at": "2026-07-17T15:25:36+01:00",
"updated_at": "2026-07-17T15:25:36+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
}
},
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_question": {
"type": "selection",
"field": "gender",
"label": "Gender",
"formatted_field": "Gender",
"selection_options": [
"male",
"female",
"non-binary",
"transgender",
"intersex",
"other",
"unknown"
],
"is_custom_field": false,
"forced_required": false,
"caption": "Your drink preference"
},
"linked_primary": true
}